<?php
/**
 * @package ThemeMove
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="container">
		<div class="row">
			<div class="col-md-5">
				<?php if ( has_post_thumbnail() ) { ?>
					<div class="post-thumb">
						<?php the_post_thumbnail( array( 320, 300 ) ); ?>
					</div>
				<?php } ?>
			</div>
			<div class="col-md-7">
				<header class="entry-header">
					<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
				</header>
				<!-- .entry-header -->
				<?php if (get_post_type() === 'post'): ?>
					<div class="entry-meta">
						<span class="author vcard">
							<i class="fas fa-user"></i> <?php echo esc_html__( 'Posted by ', 'structure' ) . get_the_author(); ?></span>
						<span class="categories-links">
							<i class="fas fa-folder"></i> <?php echo esc_html__( 'In ', 'structure' ) . get_the_category_list( esc_html__( ', ', 'structure' ) ); ?>
						</span>
					</div><!-- .entry-meta -->
				<?php endif; ?>

				<div class="entry-content">
					<?php the_excerpt(); ?>
				</div>
				<!-- .entry-content -->
				<div class="row">
					<div class="col-sm-6">
						<a class="btn read-more" href="<?php the_permalink(); ?>">
							<?php echo esc_html__( 'Continue Reading', 'structure' ); ?>
						</a>
					</div>
				</div>
			</div>
		</div>
	</div>
</article><!-- #post-## -->
