<?php
if ( ! function_exists( 'thememove_register_theme_plugins' ) ):
	function thememove_register_theme_plugins() {
		$plugins = [
			[
				'name'     => esc_html__( 'ThemeMove Core', 'structure' ),
				'slug'     => 'thememove-core',
				'source'   => 'https://www.dropbox.com/s/iqo66yahux1dvll/thememove-core-1.3.8.zip?dl=1',
				'version'  => '1.3.8',
				'required' => true,
			],
			array(
				'name'     => esc_html__( 'CMB2', 'structure' ),
				'slug'     => 'cmb2',
				'required' => true,
			),
			[
				'name'     => esc_html__( 'WP Bakery Page Builder', 'structure' ),
				'slug'     => 'js_composer',
				'source'   => 'https://bitbucket.org/digitalcreative/thememove-plugins/raw/15b0cf2d46c8f6ae7d179d1ea2fa1d0f6d3e60ad/js_composer.zip',
				'version'  => '6.2',
				'required' => false,
			],
			[
				'name'     => esc_html__( 'Essential Grid', 'structure' ),
				'slug'     => 'essential-grid',
				'source'   => 'https://www.dropbox.com/s/0254rd2u94f2n2y/essential-grid-2.3.6.zip?dl=1',
				'version'  => '2.3.6',
				'required' => false,
			],
			[
				'name'     => esc_html__( 'Revolution Slider', 'structure' ),
				'slug'     => 'revslider',
				'source'   => 'https://bitbucket.org/digitalcreative/thememove-plugins/raw/7d0eb25697d1ae1659b43b05b638538929816893/revslider.zip',
				'version'  => '6.2.17',
				'required' => false,
			],
			[
				'name'     => esc_html__( 'WP Job Manager', 'structure' ),
				'slug'     => 'wp-job-manager',
				'required' => false,
			],
			[
				'name'     => esc_html__( 'Testimonials by WooThemes', 'structure' ),
				'slug'     => 'testimonials-by-woothemes',
				'source'   => 'https://www.dropbox.com/s/7w3ua8f7y0okidt/testimonials-by-woothemes.zip?dl=1',
				'required' => false,
			],
			[
				'name'     => esc_html__( 'Projects by WooThemes', 'structure' ),
				'slug'     => 'projects-by-woothemes',
				'source'   => 'https://www.dropbox.com/s/702vo29lmyrv6j7/projects-by-woothemes.zip?dl=1',
				'required' => true,
			],
			[
				'name'     => esc_html__( 'WooCommerce', 'structure' ),
				'slug'     => 'woocommerce',
				'required' => false,
			],
			[
				'name'     => esc_html__( 'Widget Logic', 'structure' ),
				'slug'     => 'widget-logic',
				'required' => false,
			],
			[
				'name'     => esc_html__( 'MailChimp for WordPress', 'structure' ),
				'slug'     => 'mailchimp-for-wp',
				'required' => false,
			],
			[
				'name'     => esc_html__( 'Contact Form 7', 'structure' ),
				'slug'     => 'contact-form-7',
				'required' => false,
			],
		];

		$config = [
			'id'           => 'tgmpa',
			'default_path' => '',
			'menu'         => 'tgmpa-install-plugins',
			'parent_slug'  => 'themes.php',
			'capability'   => 'edit_theme_options',
			'has_notices'  => true,
			'dismissable'  => true,
			'dismiss_msg'  => '',
			'is_automatic' => false,
			'message'      => '',
		];

		tgmpa( $plugins, $config );
	}

	add_action( 'tgmpa_register', 'thememove_register_theme_plugins' );
endif;
