<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>
<div class="content-wrapper">
	<div data-stellar-background-ratio="0.5" class="entry-header has-bg">
		<div class="container">
			<?php if ( get_post_meta( wc_get_page_id( 'shop' ), "thememove_alt_title", true ) ) { ?>
				<h1 class="entry-title">
					<?php echo get_post_meta( wc_get_page_id( 'shop' ), "thememove_alt_title", true ); ?>
				</h1>
			<?php } else { ?>
				<h1 class="entry-title">
					<?php woocommerce_page_title(); ?>
				</h1>
			<?php } ?>
			<?php
			if(function_exists('bcn_display')) {
				echo '<div class="breadcrumb"><div class="container">';
				bcn_display();
				echo '</div> </div>';
			} elseif( function_exists( 'tm_bread_crumb' ) ) {
				echo '<div class="breadcrumb"><div class="container">';
				echo tm_bread_crumb( array( 'home_label' => esc_html__( 'Home', 'structure' ) ) );
				echo '</div> </div>';
			}
			?>
		</div>
	</div>
	<!-- .entry-header -->

	<div class="container">
		<div class="row">
			<div class="col-md-9">
				<?php
				/**
				 * woocommerce_before_main_content hook.
				 *
				 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
				 * @hooked woocommerce_breadcrumb - 20
				 */
				do_action( 'woocommerce_before_main_content' );
				?>

				<?php while ( have_posts() ) : ?>
					<?php the_post(); ?>

					<?php wc_get_template_part( 'content', 'single-product' ); ?>

				<?php endwhile; // end of the loop. ?>

				<?php
				/**
				 * woocommerce_after_main_content hook.
				 *
				 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
				 */
				do_action( 'woocommerce_after_main_content' );
				?>
			</div>
			<?php do_action( 'woocommerce_sidebar' ); ?>
		</div>
	</div>
</div>

<?php get_footer( 'shop' );

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
